5.3. Thông tin room nước ngoài

GET/tartarus/v1/tickerSnaps
Lấy thông tin room nước ngoài và snapshot thị trường theo rổ chứng khoán.

Header

TênKiểuBắt buộcMô tả
AuthorizationstringBearer <access token>.
Content-Typestringapplication/json.

Request parameter

TênKiểuBắt buộcMô tả
indexenumRổ chứng khoán: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = Upcom, 10 = Midcap, 11 = VN100, 12 = VNAllshare, 13 = VNSmallcap, 14 = VNXAllshare, 15 = VN50, 16 = VNSI.
GET /tartarus/v1/tickerSnaps?index=1
curl "https://openapi.tcbs.com.vn/tartarus/v1/tickerSnaps?index=1" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"

Response

TênKiểuBắt buộcMô tả
tradingDatestringNgày giao dịch.
data[].symbolstringMã cổ phiếu.
data[].refPricenumberGiá tham chiếu.
data[].ceilPricenumberGiá trần.
data[].floorPricenumberGiá sàn.
data[].matchPricenumberGiá khớp.
data[].matchQttynumberKhối lượng khớp.
data[].changenumberThay đổi giá.
data[].changePercentnumber% thay đổi.
data[].totalVolumenumberTổng khối lượng.
data[].totalValuenumberTổng giá trị.
data[].buyForeignQttynumberKL nước ngoài mua.
data[].sellForeignQttynumberKL nước ngoài bán.
data[].roomstringRoom nước ngoài.
{
  "tradingDate": "07/08/2025",
  "data": [
    {
      "symbol": "CRE",
      "ceilPrice": 30850,
      "floorPrice": 26850,
      "refPrice": 28850,
      "bidPrice01": 28750,
      "bidPrice02": 28700,
      "bidPrice03": 28650,
      "bidQtty01": 8700,
      "bidQtty02": 16200,
      "bidQtty03": 17500,
      "offerPrice01": 28800,
      "offerPrice02": 28850,
      "offerPrice03": 28900,
      "offerQtty01": 2200,
      "offerQtty02": 8600,
      "offerQtty03": 8900,
      "matchPrice": 28800,
      "matchQtty": 400,
      "change": -50.0,
      "changePercent": -0.17331,
      "totalVolume": 620700,
      "totalValue": 17916500000,
      "buyForeignQtty": 3400,
      "sellForeignQtty": 40500,
      "room": "44386227",
      "open": 28900,
      "high": 29100,
      "low": 28700
    }
  ]
}